Subject: Re: WinNT Lockup
From: Tadeusz Liszka <[email-masked]>
To: "Farmer, Tony" <[email-masked]>
Cc: "'Earnie Boyd'" <[email-masked]>, "Larry Hall (RFK Partners, Inc)" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Mon, 16 Oct 2000 13:53:42 -0500

Farmer, Tony wrote:
> 
> Thanks, that was definitely the problem.  When you update the FAQ, it would
> be great if you could explain why this symptom only occurs within BASH.  If
> I'm in a regular WinNT command window (with the same active path) and type a
> command that doesn't exist, it says:  "The name specified is not recognized
> as an internal or external command, operable program or batch file."  I
> don't understand why the behavior would be different between the two shells.
> 

This does not answer directly the question, but I have observed similiar behaviour on SGI:
when path points to non-existent NFS disk, it may or may not cause problems looking like
the lockup in your mail: When network is in the proper shape, there were no problems, but
when my SECONDARY DNS server was out, it took 5 minutes to open simple xterm.

I would assume that Win98 immediately bails out of the mising share search, while NT,
being that much closer to being true OS, stubbornly tries to find it anyway.

> Cheers,
> ALF
> 
> > -----Original Message-----
> > From: Earnie Boyd [SMTP:[email-masked]]
> > Sent: Friday, October 13, 2000 11:28 AM
> > To:   Larry Hall (RFK Partners, Inc); Farmer, Tony;
> > [email-masked]'
> > Subject:      Re: WinNT Lockup
> >
> > --- "Larry Hall (RFK Partners, Inc)" <[email-masked]> wrote:
> > > At 01:52 PM 10/13/2000, Farmer, Tony wrote:
> > > >I've setup Cygwin on two systems - one NT and one 98.  The 98 system
> > seems
> > > >to work fine, but on the NT system whenever I type a command that
> > doesn't
> > > >exist ("XXX" for example), Cygwin locks up.  Ctl-C, Ctl-Break, nothing
> > will
> > > >get me out of it short of closing the Cygwin window.  Is this something
> > I'm
> > > >doing wrong or a peculiarity with NT?
> > > >
> > > >Thanks,
> > > >[email-masked]
> > >
> > >
> > > Are you sure your path on the NT system doesn't have a network share in
> > it?
> > > The longer the path, the longer the search.  Add several factors for any
> > > network shares in the path.  Add many more factors for network shares
> > that
> > > aren't reachable.  This could look like a "lock up".
> > >
> >
> > Good catch Larry.  Sounds like an explaination for the FAQ.
> >
> > Cheers,
> > Earnie Boyd
> > mailto:[email-masked]
> >
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Tadeusz
:: The public opinion should be alarmed by its own nonexistence
:: (512)467-0618 ext. 526 ::       Stanislaw J. Lec, trans. TJL

--
Want to unsubscribe from this list?
Send a message to [email-masked]